Skip to content

List All Equipment

Request

Lists all equipment

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/equipment.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/equipment.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:43:06 GMT"
ETagstring
Example:"W/\"6d5e8119257252130624e8cc1a78b813\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"6651d0a2-7f9f-4273-b876-f4544e22e0ca"
X-Runtimestring
Example:"0.401007"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F443A_6E7B90:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<equipments type="array">
    <equipment>
        <id readonly="readonly">9264</id>
        <account_id readonly="readonly">1296</account_id>
        <name>Pilot Vehicle 1</name>
        <notes></notes>
        <third_party_id>vwork_520280906</third_party_id>
        <model></model>
        <serial></serial>
        <group_ids></group_ids>
        <tag_ids></tag_ids>
    </equipment>
    <equipment>
        <id readonly="readonly">9266</id>
        <account_id readonly="readonly">1296</account_id>
        <name>Truck 15</name>
        <notes></notes>
        <third_party_id>vwork_931492492</third_party_id>
        <model></model>
        <serial></serial>
        <group_ids></group_ids>
        <tag_ids></tag_ids>
    </equipment>
    <equipment>
        <id readonly="readonly">9552</id>
        <account_id readonly="readonly">1296</account_id>
        <name>The Forklift</name>
        <notes>Picking it up and Putting it down</notes>
        <thir…